# $Revision: 1.355.2.1 $, $Date: 2011/11/02 12:56:25 $
# TODO: papi print backend?
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	cups		# disable CUPS support
%bcond_without	static_libs	# don't build static library
#
Summary:	The GIMP Toolkit
Summary(cs.UTF-8):	Sada nástrojů pro GIMP
Summary(de.UTF-8):	Der GIMP-Toolkit
Summary(fi.UTF-8):	GIMP-työkalukokoelma
Summary(fr.UTF-8):	Le toolkit de GIMP
Summary(it.UTF-8):	Il toolkit per GIMP
Summary(pl.UTF-8):	GIMP Toolkit
Summary(tr.UTF-8):	GIMP ToolKit arayüz kitaplığı
Name:		gtk+2
Version:	2.24.7
Release:	2
Epoch:		2
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtk+/2.24/gtk+-%{version}.tar.xz
# Source0-md5:	719df30b5076a0e37b62f968a5e1312c
Patch0:		%{name}-arch_confdir.patch
Patch1:		gobject-introspection.patch
URL:		http://www.gtk.org/
BuildRequires:	atk-devel >= 1:1.30.0-3
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.7
BuildRequires:	cairo-devel >= 1.6.0
%{?with_cups:BuildRequires:	cups-devel}
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	gdk-pixbuf2-devel >= 2.22.0
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.27.3
BuildRequires:	gobject-introspection-devel >= 0.10.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.17}
BuildRequires:	gtk-doc-automake >= 1.11
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	libxml2-progs >= 1:2.6.31
BuildRequires:	libxslt-progs >= 1.1.20
BuildRequires:	pango-devel >= 1:1.28.1-4
BuildRequires:	perl-base
BuildRequires:	perl-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXcomposite-devel
BuildRequires:	xorg-lib-libXcursor-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel >= 1.3.0
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xz
Requires:	atk >= 1:1.30.0
Requires:	cairo >= 1.6.0
Requires:	gdk-pixbuf2 >= 2.22.0
Requires:	glib2 >= 1:2.27.3
Requires:	pango >= 1:1.26.0
Requires:	xorg-lib-libXrandr >= 1.3.0
%if %{with cups}
# cups is used by default if gtk+ is built with cups
Suggests:	%{name}-cups = %{epoch}:%{version}-%{release}
%endif
Provides:	gail = 1.23.0
Provides:	gtk2 = %{version}
Obsoletes:	gail
Obsoletes:	gtk2
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
Conflicts:	gtk2-engines < 1:2.2.0-6
# autopanog.exe crashes with gtk+2 2.8.x and libgdiplus 1.1.8
Conflicts:	libgdiplus < 1.1.9
Requires(post):	gtk-update-icon-cache
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		abivers	2.10.0

%if "%{_lib}" != "lib"
%define		libext		%(lib="%{_lib}"; echo ${lib#lib})
%define		_sysconfdir	/etc/gtk%{libext}-2.0
%define		pqext		-%{libext}
%else
%define		_sysconfdir	/etc/gtk-2.0
%define		pqext		%{nil}
%endif

%description
GTK+, which stands for the GIMP ToolKit, is a library for creating
graphical user interfaces for the X Window System. It is designed to
be small, efficient, and flexible. GTK+ is written in C with a very
object-oriented approach. GDK (part of GTK+) is a drawing toolkit
which provides a thin layer over Xlib to help automate things like
dealing with different color depths, and GTK is a widget set for
creating user interfaces.

%description -l cs.UTF-8
Knihovny X původně psané pro GIMP, které nyní používá také řada jiných
programů.

%description -l da.UTF-8
X biblioteker, oprindeligt udviklet til GIMP, men anvendes nu af flere
forskellige programmer.

%description -l de.UTF-8
Die X-Libraries, die ursprünglich für GIMP geschrieben wurden und
mittlerweile für eine ganze Reihe anderer Programme benutzt werden.

%description -l fr.UTF-8
X-kirjastot, jotka alunperin kirjoitettiin GIMP:lle, mutta joita
käytetään nyt myös useissa muissakin ohjelmissa.

%description -l it.UTF-8
Libreria X scritta per GIMP. Viene usata da diversi programmi.

%description -l pl.UTF-8
GTK+, która to biblioteka stała się podstawą programu GIMP, zawiera
funkcje do tworzenia graficznego interfejsu użytkownika pod X Window.
Była tworzona z założeniem żeby była mała, efektywna i wygodna. GTK+
jest napisane w C z podejściem zorientowanym bardzo obiektowo. GDK
(część GTK+) jest warstwą pośrednią pomiędzy Xlib a właściwym GTK
zapewniającą pracę niezależnie od głębi koloru (ilości bitów na
piksel). GTK (druga część GTK+) jest natomiast już zbiorem różnego
rodzaju kontrolek służących do tworzenia interfejsu użytkownika.

%description -l tr.UTF-8
Başlangıçta GIMP için yazılmış X kitaplıkları. Şu anda başka
programlarca da kullanılmaktadır.

%package -n gtk-update-icon-cache
Summary:	Utility to update icon cache used by GTK+ library
Summary(pl.UTF-8):	Narzędzie do uaktualniania cache'a ikon używanego przez bibliotekę GTK+
Group:		Applications/System
Requires:	gdk-pixbuf2 >= 2.22.0
Requires:	glib2 >= 1:2.27.3

%description -n gtk-update-icon-cache
Utility to update icon cache used by GTK+ library.

%description -n gtk-update-icon-cache -l pl.UTF-8
Narzędzie do uaktualniania cache'a ikon używanego przez bibliotekę
GTK+.

%package devel
Summary:	GTK+ header files and development documentation
Summary(cs.UTF-8):	Sada nástrojů GIMP a kreslící kit GIMP
Summary(da.UTF-8):	GIMP Toolkit og GIMP Tegnings-værktøj
Summary(de.UTF-8):	GIMP Toolkit und GIMP Drawing Kit
Summary(fi.UTF-8):	Gimp-työkalukokoelma ja Gimp-piirtotyökalut
Summary(fr.UTF-8):	Toolkit de GIMP (GTK) et Kit de dessin de GIMP (GDK)
Summary(it.UTF-8):	GIMP Toolkit and GIMP Drawing Kit
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do GTK+
Summary(tr.UTF-8):	GIMP araç takımı ve çizim takımı
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	atk-devel >= 1:1.30.0
Requires:	cairo-devel >= 1.6.0
Requires:	gdk-pixbuf2-devel >= 2.22.0
Requires:	glib2-devel >= 1:2.27.3
Requires:	pango-devel >= 1:1.26.0
Requires:	shared-mime-info
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXcomposite-devel
Requires:	xorg-lib-libXcursor-devel
Requires:	xorg-lib-libXdamage-devel
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXfixes-devel
Requires:	xorg-lib-libXft-devel
Requires:	xorg-lib-libXi-devel
Requires:	xorg-lib-libXinerama-devel
Requires:	xorg-lib-libXrandr-devel >= 1.3.0
Requires:	xorg-lib-libXrender-devel
Provides:	gail-devel = 1.23.0
Obsoletes:	gail-devel
Obsoletes:	gtk2-devel

%description devel
Header files and development documentation for the GTK+ libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do bibliotek GTK+.

%package static
Summary:	GTK+ static libraries
Summary(pl.UTF-8):	Biblioteki statyczne GTK+
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	gail-static = 1.23.0
Obsoletes:	gail-static

%description static
GTK+ static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne GTK+

%package apidocs
Summary:	GTK+ API documentation
Summary(pl.UTF-8):	Dokumentacja API GTK+
Group:		Documentation
Requires:	gtk-doc-common
Provides:	gail-apidocs = 1.23.0
Obsoletes:	gail-apidocs

%description apidocs
GTK+ API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API GTK+.

%package examples
Summary:	GTK+ - example programs
Summary(pl.UTF-8):	GTK+ - programy przykładowe
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description examples
GTK+ - example programs.

%description examples -l pl.UTF-8
GTK+ - przykładowe programy.

%package cups
Summary:	CUPS printing module for GTK+
Summary(pl.UTF-8):	Moduł GTK+ do drukowania przez CUPS
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description cups
CUPS printing module for GTK+.

%description cups -l pl.UTF-8
Moduł GTK+ do drukowania przez CUPS.

%prep
%setup -q -n gtk+-%{version}
%patch0 -p1
%patch1 -p1

%{__sed} -i -e '1s,/usr/bin/env python,/usr/bin/python,' gtk/gtk-builder-convert

%build
%{?with_apidocs:%{__gtkdocize}}
%{__libtoolize}
%{__glib_gettextize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_cups:ac_cv_path_CUPS_CONFIG=no} \
	%{?debug:--enable-debug=yes} \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc \
	--enable-man \
	--enable-shm \
	--%{?with_static_libs:en}%{!?with_static_libs:dis}able-static \
	--with-gdktarget=x11 \
	--with-html-dir=%{_gtkdocdir} \
	--with-xinput=yes
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version} \
	$RPM_BUILD_ROOT%{_libdir}/gtk-2.0/%{abivers}/filesystems

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir} \
	pkgconfigdir=%{_pkgconfigdir}

touch $RPM_BUILD_ROOT%{_sysconfdir}/gtk.immodules

cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# shut up check-files (static modules and *.la for modules)
%{__rm} -r $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/*.{a,la}
%{__rm} -r $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/%{abivers}/*/*.{a,la}
# remove libtool files
%{__rm} -r $RPM_BUILD_ROOT%{_libdir}/*.la

%if "%{_lib}" != "lib"
# We need to have 32-bit and 64-bit binaries as they have hardcoded LIBDIR.
# (needed when multilib is used)
mv $RPM_BUILD_ROOT%{_bindir}/gtk-query-immodules-2.0{,%{pqext}}
%endif

# for various GTK+2 modules
install -d $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules

# unsupported by glibc
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{az_IR,io}

%find_lang %{name} --all-name

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}/{gdk,gdk-pixbuf,gtk}}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
umask 022
%{_bindir}/gtk-query-immodules-2.0%{pqext} > %{_sysconfdir}/gtk.immodules
exit 0

%postun
/sbin/ldconfig
if [ "$1" != "0" ]; then
	umask 022
	# we need to check for dir existence for multilib installs as the $1 is 1
	# if we remove the other arch pkg will be still present.
	# i.e we have installed gtk+2-2.16.5-1.x86_64 and gtk+2-2.16.5-1.i686, and remove gtk+2-2.16.5-1.i686
	if [ -d %{_sysconfdir} ]; then
		%{_bindir}/gtk-query-immodules-2.0%{pqext} > %{_sysconfdir}/gtk.immodules
	fi
fi
exit 0

%triggerpostun -- gtk+2 < 2:2.4.0
umask 022
%{_bindir}/gtk-query-immodules-2.0%{pqext} > %{_sysconfdir}/gtk.immodules
exit 0

%triggerin -- hicolor-icon-theme
if [ "$1" = "1" ] && [ "$2" = "1" ]; then
	%update_icon_cache hicolor
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/gtk-query-immodules-2.0%{pqext}

%attr(755,root,root) %{_libdir}/libgailutil.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgailutil.so.18
%attr(755,root,root) %{_libdir}/libgdk-x11-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdk-x11-2.0.so.0
%attr(755,root,root) %{_libdir}/libgtk-x11-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtk-x11-2.0.so.0
%dir %{_libdir}/gtk-2.0
%dir %{_libdir}/gtk-2.0/modules
%attr(755,root,root) %{_libdir}/gtk-2.0/modules/libferret.so
%attr(755,root,root) %{_libdir}/gtk-2.0/modules/libgail.so
%dir %{_libdir}/gtk-2.0/%{abivers}
%dir %{_libdir}/gtk-2.0/%{abivers}/engines
%attr(755,root,root) %{_libdir}/gtk-2.0/%{abivers}/engines/libpixmap.so
%dir %{_libdir}/gtk-2.0/%{abivers}/filesystems
%dir %{_libdir}/gtk-2.0/%{abivers}/immodules
%attr(755,root,root) %{_libdir}/gtk-2.0/%{abivers}/immodules/im-*.so
%dir %{_libdir}/gtk-2.0/%{abivers}/printbackends
%attr(755,root,root) %{_libdir}/gtk-2.0/%{abivers}/printbackends/libprintbackend-file.so
%attr(755,root,root) %{_libdir}/gtk-2.0/%{abivers}/printbackends/libprintbackend-lpr.so
%{_libdir}/girepository-1.0/Gdk-2.0.typelib
%{_libdir}/girepository-1.0/GdkX11-2.0.typelib
%{_libdir}/girepository-1.0/Gtk-2.0.typelib

%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/im-multipress.conf
%ghost %{_sysconfdir}/gtk.immodules
%dir %{_datadir}/themes/Default/gtk-*
%{_datadir}/themes/Default/gtk-*/gtkrc
%dir %{_datadir}/themes/Emacs
%dir %{_datadir}/themes/Emacs/gtk-*
%{_datadir}/themes/Emacs/gtk-*/gtkrc
%dir %{_datadir}/themes/Raleigh
%dir %{_datadir}/themes/Raleigh/gtk-*
%{_datadir}/themes/Raleigh/gtk-*/gtkrc
%{_mandir}/man1/gtk-query-immodules-2.0.1*

%files -n gtk-update-icon-cache
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gtk-update-icon-cache
%{_mandir}/man1/gtk-update-icon-cache.1*

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/gtk-builder-convert
%attr(755,root,root) %{_libdir}/libgailutil.so
%attr(755,root,root) %{_libdir}/libgdk-x11-2.0.so
%attr(755,root,root) %{_libdir}/libgtk-x11-2.0.so
%{_includedir}/gail-1.0
%{_includedir}/gtk-2.0
%{_includedir}/gtk-unix-print-2.0
%{_aclocaldir}/gtk-2.0.m4
%{_libdir}/gtk-2.0/include
%{_pkgconfigdir}/gail.pc
%{_pkgconfigdir}/gdk-2.0.pc
%{_pkgconfigdir}/gdk-x11-2.0.pc
%{_pkgconfigdir}/gtk+-2.0.pc
%{_pkgconfigdir}/gtk+-unix-print-2.0.pc
%{_pkgconfigdir}/gtk+-x11-2.0.pc
%{_datadir}/gir-1.0/Gdk-2.0.gir
%{_datadir}/gir-1.0/GdkX11-2.0.gir
%{_datadir}/gir-1.0/Gtk-2.0.gir
%{_mandir}/man1/gtk-builder-convert.1*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgailutil.a
%{_libdir}/libgdk-x11-2.0.a
%{_libdir}/libgtk-x11-2.0.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gail-libgail-util
%{_gtkdocdir}/gdk
%{_gtkdocdir}/gtk
%endif

%files examples
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gtk-demo
%{_datadir}/gtk-2.0
%{_examplesdir}/%{name}-%{version}

%if %{with cups}
%files cups
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gtk-2.0/%{abivers}/printbackends/libprintbackend-cups.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtk+2.spec,v $
Revision 1.355.2.1  2011/11/02 12:56:25  hawk
- separate gtk-update-icon-cache package for GNOME_2 branch

Revision 1.355  2011/10/19 08:41:13  lisu
- 2.24.7

Revision 1.354  2011/08/31 17:57:50  megabajt
- updated to 2.24.6

Revision 1.353  2011/06/18 07:58:04  qboosh
- updated to 2.24.5

Revision 1.352  2011/04/06 06:43:17  wiget
- drop libtool file
- rel. 2

Revision 1.351  2011/04/05 20:33:59  kiesiu
- updated to 2.24.4

Revision 1.350  2011/03/14 19:03:35  megabajt
- updated to 2.24.3

Revision 1.349  2011/03/05 10:25:08  qboosh
- updated to 2.24.1
- BR: gtk-doc >= 1.17 (build failed with 1.16)

Revision 1.348  2011/02/12 13:15:24  sls
- bump BR: gobject-introspection-devel >= 0.10.0

Revision 1.347  2011/02/11 19:22:25  qboosh
- use direct python shebang in gtk-builder-convert

Revision 1.346  2011/02/10 16:47:17  qboosh
- versioned cairo devel dependency

Revision 1.345  2011/02/10 16:09:51  qboosh
- remove gtk-update-icon-cache(1) man too

Revision 1.344  2011/02/04 18:22:47  wiget
- gtk-update-icon-cache are now in separate package, builded from gtk+3.spec
- rel. 2

Revision 1.343  2011/02/03 21:11:21  lisu
- fix install

Revision 1.342  2011/02/03 20:47:17  lisu
- updated to 2.24.0 (merge with DEVEL)
- min. required version of glib2 is 1:2.27.3

Revision 1.341  2010/12/21 18:36:59  glen
- %update_icon_cache hicolor when either gtk+2 or hicolor-icon-theme are both installed for the fist time. LP#693074

Revision 1.340  2010/11/16 10:09:17  lisu
- drop unsupported kg locale
- use rm macro in some places
- release 2

Revision 1.339  2010/11/16 08:52:26  lisu
- up to 2.22.1

Revision 1.338.2.3  2010/12/23 08:43:08  lisu
- up to 2.23.3
- use rm macros

Revision 1.338.2.2  2010/11/16 09:48:08  lisu
- up to 2.23.2

Revision 1.338.2.1  2010/10/18 18:21:18  lisu
- up to 2.23.0
- BRs: perl-devel, sqlite3-devel

Revision 1.338  2010/10/14 18:32:02  baggins
- rel 2
- moved demo to -examples package

Revision 1.337  2010/09/27 19:40:08  megabajt
- updated to 2.22.0; merged from DEVEL

Revision 1.336  2010/09/22 21:06:52  patrys
- rel 5

Revision 1.335  2010/09/22 20:00:51  patrys
- rebuild with new gir format
- rel 4

Revision 1.333.2.8  2010/09/22 19:34:24  patrys
- 2.21.8

Revision 1.333.2.7  2010/08/31 14:20:29  patrys
- 2.21.7

Revision 1.333.2.6  2010/08/18 08:38:01  patrys
- 2.21.6

Revision 1.334  2010/07/13 08:58:59  patrys
- rebuild with latest git
- rel 3

Revision 1.333.2.5  2010/07/01 22:41:46  megabajt
- updated to 2.21.4

Revision 1.333.2.4  2010/06/12 14:02:12  lisu
- up to 2.21.2
- glib2-devel >= 1:2.25.8 is required

Revision 1.333.2.3  2010/06/01 07:10:01  lisu
- builds on x86_64 without patching, patch removed from spec

Revision 1.333.2.2  2010/06/01 06:54:13  lisu
- updated to 2.21.1
- revert_64bit_fix.patch commented to check if gtk+2 now builds on 64 bits

Revision 1.333.2.1  2010/05/13 08:50:34  lisu
- 2.21.0

Revision 1.333  2010/05/06 09:43:28  patrys
- revert the 64-bit "fix" as it causes apps to crash
- rel 2

Revision 1.332  2010/05/04 09:14:41  lisu
- 2.20.1

Revision 1.331  2010/04/01 07:50:21  qboosh
- more verbose gir files

Revision 1.330  2010/03/30 17:08:55  megabajt
- merged from DEVEL

Revision 1.329  2010/03/25 06:08:49  qboosh
- jasper/JPEG-2000 loader is back
- updated gtk-doc version

Revision 1.314.2.10  2010/03/24 09:16:46  patrys
- 2.20.0 stable
- has to wait for stable glib2

Revision 1.328  2010/03/18 08:34:25  lisu
- 2.18.9 (fixes segfault)
- rm -git.patch

Revision 1.327  2010/03/17 15:28:23  arekm
- rel 3; segfault fixes

Revision 1.326  2010/03/16 17:48:24  arekm
- rel 2

Revision 1.325  2010/03/16 12:25:37  lisu
- up to 2.18.8

Revision 1.314.2.9  2010/03/10 09:57:30  patrys
- fixed a typo in the last commit

Revision 1.314.2.8  2010/03/10 09:57:05  patrys
- 2.19.7

Revision 1.314.2.7  2010/02/24 13:50:51  lisu
- updated to 2.19.6
- drop gir-repository-devel BR (conflicts with atk-devel)

Revision 1.324  2010/02/16 22:40:36  ankry
- my supported, rel. 2

Revision 1.323  2010/02/13 15:24:08  sparky
- dropped BR: jasper-devel, xorg-lib-libXft-devel

Revision 1.322  2010/02/13 10:43:58  megabajt
- updated to 2.18.7

Revision 1.314.2.6  2010/02/10 18:18:23  megabajt
- updated to 2.19.5

Revision 1.321  2010/01/28 11:21:43  amateja
- release 2

Revision 1.314.2.5  2010/01/27 16:04:22  patrys
- no my locale

Revision 1.314.2.4  2010/01/27 14:21:11  patrys
- 2.19.4

Revision 1.314.2.3  2010/01/19 22:34:18  lisu
- updated to 2.19.3
- BR: gir-repository-devel

Revision 1.320  2010/01/14 20:32:30  arekm
- up to 2.18.6

Revision 1.319  2010/01/10 19:45:39  hawk
- release 2

Revision 1.318  2009/12/08 22:04:49  megabajt
- updated to 2.18.5

Revision 1.317  2009/12/03 22:06:24  megabajt
- updated to 2.18.4
- removed obsolete -libjpeg.patch

Revision 1.316  2009/12/01 19:43:22  sparky
- added R: shared-mime-info to devel subpackage (gdk-pixbuf-csource uses it)

Revision 1.314.2.2  2009/12/01 09:31:55  patrys
- 2.19.1

Revision 1.315  2009/11/12 10:03:48  patrys
- rebuild
- rel 2

Revision 1.314.2.1  2009/11/02 13:25:06  lisu
- up to 2.19.0

Revision 1.314  2009/10/17 18:40:26  megabajt
- updated to 2.18.3

Revision 1.313  2009/10/08 07:18:22  patrys
- 2.18.2

Revision 1.312  2009/10/01 14:04:07  lisu
- 2.18.1

Revision 1.311  2009/09/26 12:00:20  patrys
- drop the WTF gtk-builder-convert patch
- it breaks the tool
- rel 2

Revision 1.310  2009/09/23 07:59:39  arekm
- up to 2.18.0

Revision 1.309  2009/09/08 18:42:26  arekm
- rel 2; libjpeg 7 fixes

Revision 1.308  2009/08/31 16:21:58  lisu
- reverse. that URL is more unified

Revision 1.307  2009/08/31 09:14:14  lisu
- restore previous Source0 URL (changed by adapter)

Revision 1.306  2009/08/31 09:11:59  lisu
- up to 2.16.6
- sorted BRs

Revision 1.305  2009/08/27 15:11:45  glen
- extra check in postun as the config dir is arch dependant; rel 2

Revision 1.304  2009/08/12 11:27:10  uzsolt
- gtk-builder-convert patch
- rel 1.1

Revision 1.303  2009/07/22 11:00:33  lisu
- updated to 2.16.5

Revision 1.302  2009/07/11 19:56:48  arekm
- release 2

Revision 1.301  2009/07/02 08:19:43  megabajt
- updated to 2.16.4

Revision 1.300  2009/06/30 09:26:18  megabajt
- updated to 2.16.3

Revision 1.299  2009/06/04 11:21:51  patrys
- 2.16.2

Revision 1.298  2009/04/20 17:24:08  gotar
- P: gtk2 for external rpm packages (binary, non-distributable, commercial)

Revision 1.297  2009/04/13 11:01:53  megabajt
- updated to 2.16.1

Revision 1.296  2009/03/24 22:41:24  qboosh
- updated xorg deps

Revision 1.295  2009/03/17 12:50:44  patrys
- merged from DEVEL

Revision 1.294.2.3  2009/03/13 18:58:42  megabajt
- updated to 2.16.0

Revision 1.294.2.2  2009/03/04 20:40:23  megabajt
- updated to 2.15.5

Revision 1.294.2.1  2009/02/17 23:28:34  megabajt
- updated to 2.15.4

Revision 1.294  2009/01/09 09:16:13  patrys
- 2.14.7

Revision 1.293  2008/12/16 18:28:38  megabajt
- updated to 2.14.6

Revision 1.292  2008/11/25 19:05:10  megabajt
- updated to 2.14.5

Revision 1.291  2008/11/06 00:12:11  arekm
- release 2

Revision 1.290  2008/10/17 18:33:04  megabajt
- updated to 2.14.4

Revision 1.289  2008/09/29 22:02:00  qboosh
- more rm

Revision 1.288  2008/09/25 14:30:30  megabajt
- updated to 2.14.3

Revision 1.287  2008/09/18 22:10:21  megabajt
- updated to 2.14.2
- -lt.patch applied upstream

Revision 1.286  2008/09/13 12:07:13  patrys
- add bug link to lt patch

Revision 1.285  2008/09/13 11:59:34  patrys
- drop workaround patches as advised by upstream
- rel 2

Revision 1.284  2008/09/07 10:56:51  patrys
- 2.14.1
- merged from DEVEL

Revision 1.280.2.11  2008/09/07 10:53:55  patrys
- 2.14.1

Revision 1.280.2.10  2008/08/19 11:25:16  patrys
- 2.13.7

Revision 1.280.2.9  2008/08/06 08:47:07  patrys
- 2.13.6

Revision 1.280.2.8  2008/08/04 13:08:22  patrys
- drop macmenu

Revision 1.280.2.7  2008/07/23 14:38:32  patrys
- 2.13.5

Revision 1.280.2.6  2008/07/05 23:46:31  megabajt
- updated to 2.13.4

Revision 1.283  2008/07/01 20:14:15  megabajt
- updated to 2.12.11

Revision 1.282  2008/06/05 10:10:27  arekm
- rel 2; drop ca@valencia

Revision 1.280.2.5  2008/06/17 14:51:32  patrys
- BR: glib 2.17.1

Revision 1.280.2.4  2008/06/14 12:16:49  megabajt
- updated to 2.13.3

Revision 1.280.2.3  2008-06-13 21:50:37  megabajt
- updated to 2.13.2
- unified GIMP name
- drop ca@valencia locale

Revision 1.280.2.2  2008-06-05 11:09:20  patrys
- 2.13.1

Revision 1.281  2008-06-04 21:03:56  megabajt
- updated to 2.12.10

Revision 1.280.2.1  2008-05-14 13:06:14  patrys
- 2.13.0
- gail.spec is now obsolete (part of GTK+)

Revision 1.280  2008-03-31 20:02:28  glen
- release 3

Revision 1.279  2008-03-21 23:48:17  glen
- files update for multiarch confdir

Revision 1.278  2008-03-21 22:34:07  glen
- arch confdir /etc; rel 2

Revision 1.277  2008-03-13 20:07:37  qboosh
- added lt patch (fixes build with libtool 2.2)

Revision 1.276  2008-03-13 18:23:22  qboosh
- missing comma

Revision 1.275  2008-03-12 12:35:15  megabajt
- updated to 2.12.9

Revision 1.274  2008-03-05 20:32:26  glen
- more notes about python dep

Revision 1.273  2008-03-05 20:26:29  glen
- BR: rpm-pythonprov as it found some packaged python file i guess

Revision 1.272  2008-03-05 20:09:29  glen
- apidocs still built even if bcond off, so at least pass proper docdir and remove them

Revision 1.271  2008-02-13 23:04:05  qboosh
- cups module moved to (suggested) subpackage

Revision 1.270  2008-02-13 12:54:52  patrys
- 2.12.8

Revision 1.269  2008-01-30 15:26:18  megabajt
- updated to 2.12.7

Revision 1.268  2008-01-29 19:50:11  megabajt
- updated to 2.12.6

Revision 1.267  2008-01-09 20:50:09  qboosh
- more verbose files, ghost soname symlinks
- moved man pages to proper packages

Revision 1.266  2008-01-09 11:50:53  patrys
- 2.12.5

Revision 1.265  2008-01-09 03:24:42  patrys
- 2.12.4

Revision 1.264  2007-12-05 19:39:24  rotom
- up to 2.12.3

Revision 1.263  2007-11-27 18:29:17  megabajt
- updated to 2.12.2

Revision 1.262  2007-11-19 20:15:32  megabajt
- added workaround-flashproblem patch (fix for bug #50)
- release 5

Revision 1.261  2007-11-07 20:11:30  megabajt
- added firefox-printpreview patch

Revision 1.260  2007/11/04 23:07:33  ankry
- sr@Latn -> sr@latin, rel. 4

Revision 1.259  2007/10/25 15:40:47  qboosh
- don't run non-existing binaries on erase

Revision 1.258  2007/10/22 12:18:11  glen
- fix typo in postun; rel 3

Revision 1.257  2007/10/17 15:42:24  megabajt
- io locale (Ido language) seems to be unsupported by glibc
- release 2

Revision 1.256  2007/10/17 13:54:16  megabajt
- updated to 2.12.1
- removed swt-tooltips patch (applied upstream)

Revision 1.255  2007/10/03 20:48:04  megabajt
- added swt-tooltips patch to fix bugs #48 and #51
- release 4

Revision 1.254  2007/09/19 11:57:15  qrczak
- s/gtk-2/gtk-2.0/ in paths.
- Release 3, builds now.

Revision 1.253  2007/09/19 09:42:58  qrczak
- gtk+2-objective-c++.patch: fixed options passed to the linker
  (*.o is not -x objective-c++)
- Release 2

Revision 1.252  2007/09/18 16:29:36  qboosh
- package im-multipress.conf properly
- some dir globbing consistency

Revision 1.251  2007/09/14 15:02:20  megabajt
- updated to 2.12.0; merged from DEVEL
- removed obsolete cups-1.3 patch

Revision 1.250.2.1  2007/08/28 21:20:35  megabajt
- updated to 2.11.6
- added cups-1.3 patch

Revision 1.250  2007/08/26 17:08:28  qboosh
- unified gnome source URL

Revision 1.249  2007/07/30 19:30:31  qboosh
- LGPL v2+

Revision 1.248  2007/07/26 09:04:42  megabajt
- updated to 2.10.14

Revision 1.247  2007/06/13 16:16:35  megabajt
- updated to 2.10.13

Revision 1.246  2007/05/03 09:55:38  megabajt
- updated to 2.10.12

Revision 1.245  2007/03/14 09:37:52  megabajt
- updated to 2.10.11

Revision 1.244  2007/03/13 15:20:57  qrczak
- Removed gtk+2-xim.patch, the bug is fixed upstream.

Revision 1.243  2007/03/13 08:01:47  megabajt
- updated to 2.10.10

Revision 1.242  2007/02/15 02:10:04  qrczak
- Updated the compose table to the one extracted from libX11-1.1.1.
  It's much richer and more consistent, although it's not a superset
  of the old one (which was based on XFree86-4.0).
- Release 3

Revision 1.241  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.240  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.239  2007/02/09 16:23:39  qrczak
- gtk+2-xim.patch: fixed accelerator keys with GTK_IM_MODULE=xim
  <http://bugzilla.gnome.org/show_bug.cgi?id=335796>
- Release 2

Revision 1.238  2007/01/23 17:38:47  megabajt
- updated to 2.10.9
- free patch applied upstream

Revision 1.237  2007/01/18 21:11:32  megabajt
- added free patch
- release 2

Revision 1.236  2007/01/17 17:51:42  megabajt
- 2.10.8

Revision 1.235  2007/01/05 23:37:43  megabajt
- 2.10.7

Revision 1.234  2006/11/25 19:24:13  megabajt
- release 2 (rebuild with P: *.la)

Revision 1.233  2006/11/01 20:09:45  patrys
- add experimental menu patch (disabled by default)

Revision 1.232  2006/10/05 22:13:31  grzegol
- package tk lang files (languages added in glibc-2.5)

Revision 1.231  2006/10/04 19:04:45  grzegol
- updated to 2.10.6
- removed outdated build_fix patch (applied upstream)

Revision 1.230  2006/10/03 12:59:48  megabajt
- add atk epoch

Revision 1.229  2006/10/02 22:35:00  grzegol
- updated to 2.10.5
- added build_fix patch
- switched to GNOME FTP

Revision 1.228  2006/09/23 11:00:28  grzegol
- 2.10.4

Revision 1.227  2006/09/05 20:07:50  grzegol
- 2.10.3

Revision 1.226  2006/08/18 14:39:23  freetz
- 2.10.2, updated deps

Revision 1.225  2006/08/12 09:38:45  ankry
- formatting

Revision 1.224  2006/08/05 13:46:31  wolf
- rel 2

Revision 1.223  2006/07/24 07:38:31  freetz
- 2.10.1, removed LDFLAGS, updated deps

Revision 1.222  2006/07/20 21:41:39  qboosh
- added cups bcond

Revision 1.221  2006/07/10 20:43:51  freetz
- --as-needed support, updated deps

Revision 1.220  2006/07/03 16:29:05  freetz
- 2.10.0, updated deps

Revision 1.219  2006/06/29 12:34:43  pluto
- release 2 for rebuild with new libpng soname.

Revision 1.218  2006/06/22 16:59:01  freetz
- 2.9.4, removed all patches previously added (already included), updated
  deps

Revision 1.217  2006/06/15 07:34:36  freetz
- 2.9.3, updated deps, added fixes for:
  http://bugzilla.gnome.org/show_bug.cgi?id=344743
  http://bugzilla.gnome.org/show_bug.cgi?id=344765
  http://bugzilla.gnome.org/show_bug.cgi?id=344867
  http://bugzilla.gnome.org/show_bug.cgi?id=344891

Revision 1.216  2006/06/07 13:04:36  freetz
- rel.2

Revision 1.215  2006/06/06 15:18:57  freetz
- zh_HK is back

Revision 1.214  2006/06/06 15:09:40  freetz
- 2.9.2

Revision 1.213  2006/05/24 16:47:31  freetz
- remove unsupported locale

Revision 1.212  2006/05/24 05:36:13  freetz
- 2.9.1, new ABI version introduced, printing support introduced
- bleeding edge BR, file list updated/sorted, updated install section

Revision 1.211  2006/04/08 07:13:09  freetz
- 2.8.17

Revision 1.210  2006/03/15 21:59:01  freetz
- 2.8.16

Revision 1.209  2006/03/13 22:29:41  freetz
- 2.8.15

Revision 1.208  2006/03/08 18:51:34  freetz
- 2.8.14, require glib 2.10.1, pl.po patch included in sources

Revision 1.207  2006/02/25 09:27:40  freetz
- 2.8.13

Revision 1.206  2006/02/18 09:39:31  wiget
- -devel R: xorg-lib-libXi-devel
- Release 2

Revision 1.205  2006/02/12 13:22:45  pluto
- BR += xorg-lib-libXi-devel.

Revision 1.204  2006/02/11 19:03:23  freetz
- 2.8.12, cairo workaround already in sources

Revision 1.203  2006/02/10 09:46:14  pluto
- release 2.

Revision 1.202  2006/02/07 17:24:22  freetz
- https://bugs.freedesktop.org/show_bug.cgi?id=4320,
  https://bugs.freedesktop.org/show_bug.cgi?id=4456,
  http://bugzilla.gnome.org/show_bug.cgi?id=314616, rel.1.1

Revision 1.201  2006/02/06 21:52:18  freetz
- switched to modular xorg, dropped xlibs cruft

Revision 1.200  2006/01/27 23:13:19  freetz
- 2.8.11

Revision 1.199  2006/01/27 14:52:22  arekm
- rel 3; add missing epoch in R

Revision 1.198  2006/01/21 00:01:16  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.197  2006/01/18 15:52:44  freetz
- apidocs, examples subpkgs, rel.2 for rebuild with glib 2.9.3

Revision 1.196  2006/01/15 09:31:41  freetz
- 2.8.10, BR/R glib-2.8.5

Revision 1.195  2005/12/15 16:00:18  freetz
- rel.2

Revision 1.194  2005/12/11 15:33:13  qrczak
- gtk+2-pl.po.patch: "progress bar label|" prefix should be stripped
  in translation.

Revision 1.193  2005/12/10 11:56:28  freetz
- 2.8.9

Revision 1.192  2005/11/28 19:31:45  freetz
- 2.8.8

Revision 1.191  2005/11/15 20:28:21  freetz
- 2.8.7

Revision 1.190  2005/10/04 18:22:20  freetz
- 2.8.6

Revision 1.189  2005/09/28 17:59:34  arekm
- up to 2.8.4

Revision 1.188  2005/09/23 12:10:44  djurban
- s/static/static_libs/ in %coonigure, cookie goes to sparky

Revision 1.187  2005/09/23 12:08:50  djurban
- no more gtk-doc BUAHAHAHAHA

Revision 1.186  2005/09/23 11:34:09  djurban
- gtkdocsize bconded, without it gtk-doc is required even when building without apidocs

Revision 1.185  2005/09/23 11:28:38  djurban
- bcond corrections

Revision 1.184  2005/09/13 16:22:20  qboosh
- Conflicts: libgdiplus < 1.1.9

Revision 1.183  2005/08/30 18:35:14  arekm
- merged from DEVEL

Revision 1.182  2005/08/28 19:23:03  qboosh
- updated to 2.6.10
- removed obsolete bug312710 patch (alternative fix included)

Revision 1.181  2005/08/08 21:54:24  freetz
- http://bugzilla.gnome.org/show_bug.cgi?id=312710, rel.2

Revision 1.180  2005/08/01 22:27:41  freetz
- 2.6.9

Revision 1.179.2.11  2005/08/30 07:49:14  aflinta
- 2.8.3

Revision 1.179.2.10  2005/08/24 19:01:00  aflinta
- 2.8.2

Revision 1.179.2.9  2005/08/24 08:00:08  aflinta
- 2.8.1

Revision 1.179.2.8  2005/08/17 20:18:52  aflinta
- require official releases

Revision 1.179.2.7  2005/08/17 10:07:26  jpc
- add a ptch from Gtk+2 CVS fixing the annoying
  warning about pixmap colormaps.

Revision 1.179.2.6  2005/08/14 00:17:57  freetz
- 2.8.0

Revision 1.179.2.5  2005/08/03 21:50:19  aflinta
- up to version 2.7.5

Revision 1.179.2.4  2005/07/23 11:07:58  freetz
- 2.7.4, pango cvs HEAD required

Revision 1.179.2.3  2005/07/21 08:24:10  freetz
- 2.7.3, cairo >= 0.5.2 required

Revision 1.179.2.2  2005/07/10 17:39:53  freetz
- 2.7.2

Revision 1.179.2.1  2005/07/02 20:38:24  freetz
- 2.7.1, dropped menushadow patch (use composite ext instead if you want),
  use ftp.gtk.org

Revision 1.179  2005/06/16 18:54:38  freetz
- typo

Revision 1.178  2005/06/16 17:35:44  witekfl
- added bcond_without static_libs

Revision 1.177  2005/06/16 10:23:57  freetz
- 2.6.8

Revision 1.176  2005/04/14 06:14:01  ankry
- spaces -> tabs

Revision 1.175  2005/04/13 08:11:13  freetz
- 2.6.7, ready for STBR

Revision 1.174  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.173  2005/04/11 11:59:21  freetz
- 2.6.6, removed gtkimage patch (already included)

Revision 1.172  2005/04/10 17:49:15  freetz
- added gtkimage patch (#169870), rel.2, upgrade recommended

Revision 1.171  2005/04/10 15:33:21  freetz
- 2.6.5, added menushadow bcond, new style macros, removed redundant
  configure options, corrected bogus debug option (removed debug: minimum,
  it's default option), removed bogus debug bcond

Revision 1.170  2005/03/01 21:03:51  aflinta
- up to version 2.6.4

Revision 1.169  2005/02/28 18:37:21  paladine
- updated to 2.6.3

Revision 1.168  2005/02/04 22:22:09  grzegol
- updated to 2.6.2

Revision 1.167  2005/01/12 09:39:25  qboosh
- BR+R X11-devel >= 6.8.0 (uses libXfixes - there is no runtime choice now)

Revision 1.166  2005/01/11 19:27:33  qboosh
- Conflicts: gtk2-engines < 1:2.2.0-6 (libpixmap engine moved here); release 2

Revision 1.165  2005/01/09 22:51:05  aflinta
- up to version 2.6.1 - bugfix release

Revision 1.164  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.163  2004/12/22 10:10:21  aflinta
 - fixed bug #161886
 - release 4

Revision 1.162  2004/12/21 09:49:32  aflinta
 - fixed bugs #161720, #161789, #161707, #161604, #161646
 - release 3

Revision 1.161  2004/12/20 13:55:02  aflinta
- remove obsolete patch

Revision 1.160  2004/12/19 14:51:20  aflinta
- don't remove no locale twice

Revision 1.159  2004/12/19 09:30:05  aflinta
 - merged from DEVEL
 - release 2 for easy upgrade from DEVEL versions

Revision 1.132.2.11  2004/12/19 00:50:07  krzak
- add engines/libpixmap.so

Revision 1.132.2.10  2004/12/18 21:38:28  aflinta
- fixed locale issue

Revision 1.132.2.9  2004/12/17 08:59:17  krzak
- up to 2.6.0

Revision 1.132.2.8  2004/11/12 19:57:36  paladine
- updated to 2.5.5

Revision 1.132.2.7  2004/11/10 20:39:15  grzegol
- added %%{_libdir}/gtk-2.0/2.4.0/filesystems dir (merged from HEAD)

Revision 1.132.2.6  2004/11/01 20:20:45  grzegol
- updated to 2.5.4

Revision 1.132.2.5  2004/09/19 13:46:35  grzegol
- updated to 2.5.3

Revision 1.132.2.4  2004/08/27 22:40:05  grzegol
- iconv dependency moved from gtk+2 to glib2 (change merged from HEAD)

Revision 1.132.2.3  2004/08/25 21:01:10  grzegol
- updated to 2.5.2

Revision 1.132.2.2  2004/08/01 14:25:38  grzegol
- updated to 2.5.1

Revision 1.132.2.1  2004/07/20 19:29:12  grzegol
- updated to 2.5.0

Revision 1.158  2004/12/03 10:16:34  ankry
- md5 !!!

Revision 1.157  2004/12/03 09:57:46  paladine
- updated to 2.4.14
- dropped filechooser patch (already in sources)
- STBR

Revision 1.156  2004/11/27 15:16:08  freetz
- http://bugzilla.gnome.org/show_bug.cgi?id=155744 (filechooser performance
  improvement), rel. 4

Revision 1.155  2004/11/26 18:48:16  wolf
- cut changelog

Revision 1.154  2004/11/17 10:11:43  krzak
- %bcond_with     debug

Revision 1.153  2004/11/09 23:53:45  ankry
- really added dir, rel. 3

Revision 1.152  2004/11/09 21:33:10  ankry
- add orphaned dir here

Revision 1.151  2004/10/30 11:38:56  qboosh
- too much

Revision 1.150  2004/10/28 09:58:31  paladine
- "GTK+" unification (hope thats all)

Revision 1.149  2004/10/27 08:36:11  qboosh
- CAN-2004-0782 CAN-2004-0783 fixed since 2.4.10 - removed outdated note

Revision 1.148  2004/10/26 11:54:05  qboosh
- use rpmbuild(macros) deps for _gtkdocdir

Revision 1.147  2004/10/25 08:49:33  paladine
- [Gg]tk+ -> GTK+

Revision 1.146  2004/10/24 12:49:01  freetz
- menu shadow is back (incidentally commented out), rel.2, STBR

Revision 1.145  2004/10/12 22:37:02  freetz
- changelog typo

Revision 1.144  2004/10/12 22:20:51  freetz
- 2.4.13 - looks like gtk+ team has a good time with releasing new gtk
  every 5 minutes: don't send it to builders yet ;)

Revision 1.143  2004/10/12 18:52:30  freetz
- 2.4.12 with fixed bug #155139

Revision 1.142  2004/10/09 10:09:50  freetz
- 2.4.11, dropped locale patch

Revision 1.141  2004/09/19 09:50:18  aflinta
- up to version 2.4.10

Revision 1.140  2004/09/16 10:51:02  qboosh
- security note (for 2.4.4, but I don't see any xpm fixes in ChangeLog)

Revision 1.139  2004/08/27 19:01:40  qboosh
- iconv dependency moved from gtk+2 to glib2

Revision 1.138  2004/08/25 19:53:12  aflinta
- up to version 2.4.9

Revision 1.137  2004/08/17 12:14:17  ankry
- one more epoch

Revision 1.136  2004/08/17 12:12:41  ankry
- added pango epoch to R:/BR:

Revision 1.135  2004/08/16 21:43:25  aflinta
- readded locale-names.patch, killed no translation (nb is included), release 2

Revision 1.134  2004/08/14 21:19:08  aflinta
- up to version 2.4.7

Revision 1.133  2004/08/13 20:55:32  aflinta
- up to version 2.4.6, removed obsoleted locale patch

Revision 1.132  2004/07/11 07:17:10  grzegol
- updated to 2.4.4

Revision 1.131  2004/07/09 22:46:54  jpc
- maybe it was not a good idea
  removed the patch

Revision 1.130  2004/07/09 19:15:51  jpc
- new exportsymbols patch (based on sth. from ximian)

Revision 1.129  2004/07/05 00:31:56  jpc
- --with xlibs BR: libXi-devel

Revision 1.128  2004/07/05 00:13:08  jpc
- xlibs patch + bcond (for building on systems with xlibs)
- XFree86-devel (or libX11-devel) is R: by pango-devel
- cosmetics

Revision 1.127  2004/06/22 14:00:03  djurban
- without doc added

Revision 1.126  2004/06/11 15:53:10  grzegol
- updated to 2.4.3

Revision 1.125  2004/06/04 19:42:53  aflinta
- up to version 2.4.2

Revision 1.124  2004/05/01 08:12:18  krzak
- BR: glib2 >= 2.4.0

Revision 1.123  2004/04/30 20:42:31  grzegol
- updated to 2.4.1

Revision 1.122  2004/04/29 17:46:24  adgor
- Reverted

Revision 1.121  2004/04/29 17:19:00  adgor
- Added is_finished_loading.patch
- Release 4

Revision 1.120  2004/03/27 18:14:09  krzak
- rel 3

Revision 1.119  2004/03/27 17:07:00  qboosh
- uh, gtk+2 2.2.x were missing postun, so trigger is needed

Revision 1.118  2004/03/27 17:05:09  qboosh
- regenerate modules configs in postun too (to remove old paths on 2.2.x -> 2.4.0 upgrade)

Revision 1.117  2004/03/26 23:05:45  troll
- new pretty cool menu shadow patch

Revision 1.116  2004/03/23 22:56:02  arekm
- rel 2

Revision 1.115  2004/03/23 09:46:25  qboosh
- require proper atk/pango versions on install

Revision 1.114  2004/03/20 20:17:19  krzak
- 2.2.0-path-check.patch search for modules and engines
  in gtk-2.0/2.2.0 directory in addition to gtk-2.0/2.4.0
- rel 1.5

Revision 1.113  2004/03/19 11:19:33  qboosh
- cleanups, updated ac/am deps

Revision 1.112  2004/03/19 08:21:07  aflinta
- merged from DEVEL
